<!DOCTYPE html>
<html lang="ru" th:lang="${#locale.language}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
<head th:replace="fragments/head :: head">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon"
          href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 100 100%22><text y=%22.9em%22 font-size=%2290%22>&#128366;</text></svg>">
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <title th:text="#{main.site}">Библиотека (Spring Boot)</title>
</head>
<body>
<header th:replace="fragments/header :: header">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" th:href="@{/}" href="/">&#128366;</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item" sec:authorize="hasRole('ADMIN')">
                        <a class="nav-link" th:href="@{/admin}" href="admin">
                            <span th:text="#{main.administrator}">Администратор</span></a></li>
                    <li class="nav-item" sec:authorize="hasAnyRole('ADMIN', 'LIBRARIAN')">
                        <a class="nav-link" th:href="@{/librarian}" href="librarian">
                            <span th:text="#{main.librarian}">Библиотекарь</span></a></li>
                    <li class="nav-item" sec:authorize="hasAnyRole('ADMIN', 'LIBRARIAN', 'READER')">
                        <a class="nav-link" th:href="@{/users/{id}(id=${userId})}" href="users">
                            <span th:text="#{main.profile}">Профиль</span></a></li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown"
                           role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            <span th:text="#{main.language}">Язык</span></a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" th:href="@{''(locale=ru)}" href="?locale=ru">
                                <span th:text="#{main.language.russian}">Русский</span></a></li>
                            <li><a class="dropdown-item" th:href="@{''(locale=en)}" href="?locale=en">
                                <span th:text="#{main.language.english}">Английский</span></a></li>
                        </ul>
                    </li>
                </ul>
                <form class="d-flex" th:action="@{/login}" method="get"
                      sec:authorize="!isAuthenticated()">
                    <button class="btn btn-outline-success" type="submit" th:text="#{main.login}">Выйти</button>
                </form>
                <form class="d-flex" th:action="@{/logout}" method="post"
                      sec:authorize="isAuthenticated()">
                    <button class="btn btn-outline-success" type="submit" th:text="#{main.logout}">Выйти</button>
                </form>
            </div>
        </div>
    </nav>
</header>

<main class="container">
    <h1 th:text="#{main.search.find.book}">Найти книгу</h1>
    <form th:action="@{/}" action="/" method="get">
        <div class="row g-3 align-items-center">
            <div class="col">
                <label hidden for="query" class="form-label"
                       th:text="#{main.search.placeholder}">Название или автор</label>
                <input type="search" name="query" id="query" class="form-control"
                       th:value="${searchParams.get('query')} ?: #{main.search.placeholder}"
                       th:placeholder="#{main.search.placeholder}" placeholder="Название или автор">
            </div>
            <div class="col-auto">
                <label hidden for="sort_by" class="form-label"
                       th:text="#{main.search.sort.by}">Сортировать</label>
                <select id="sort_by" name="sort_by" class="form-select"
                        th:with="selectedSortByCode=${searchParams.get('sort_by').code}">
                    <option th:each="sortBy : ${T(horbatiuk.library.controller.SortBy).values()}"
                            th:value="${sortBy.code}" th:text="#{|main.search.sort.option.${sortBy.code}|}"
                            th:selected="${selectedSortByCode == sortBy.code}">По названию
                    </option>
                </select>
            </div>
            <div class="col-auto">
                <label for="page_size" class="col-form-label"
                       th:text="#{main.search.results.per.page}">Показывать по</label>
            </div>
            <div class="col-auto">
                <select id="page_size" name="page_size" class="form-select"
                        th:with="selectedPageSize=${searchParams.get('page_size')}">
                    <option th:selected="${selectedPageSize == 5}" value="5">5</option>
                    <option th:selected="${selectedPageSize == 10}" value="10">10</option>
                </select>
            </div>
            <div class="col-auto">
                <button class="btn btn-outline-success" type="submit">
                    <span th:text="#{main.search.button}">Найти</span></button>
            </div>
        </div>
    </form>

    <div class="alert alert-light" role="alert" th:if="${#lists.isEmpty(books)}"
         th:text="#{main.search.results.nothing.was.found}">Ничего не найдено
    </div>

    <table class="table" th:unless="${#lists.isEmpty(books)}">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th th:text="#{main.search.results.title}" scope="col">Название</th>
            <th th:text="#{main.search.results.authors}" scope="col">Авторы</th>
            <th th:text="#{main.search.results.publisher}" scope="col">Издатель</th>
            <th th:text="#{main.search.results.year}" scope="col">Год</th>
            <th th:text="#{main.search.results.request}" scope="col">Заказать</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="book : ${books}">
            <th th:text="${bookStat.count}" scope="row">1</th>
            <td th:text="${book.title}">Изучаем Java</td>
            <td th:text="${book.author}">Кэти Сьерра, Берт Бейтс</td>
            <td th:text="${book.publisher}">Эксмо</td>
            <td th:text="${book.year}">2012</td>
            <td>
                <form th:action="@{/books/{id}/copies(id=${book.id})}" method="get">
                    <label hidden for="available" class="form-label"
                           th:text="#{books.available.copies}">Доступные экземпляры</label>
                    <input type="hidden" id="available" name="available" value="true">
                    <button type="submit" class="btn btn-outline-primary btn-sm"
                            th:text="#{main.search.results.request}">Заказать
                    </button>
                </form>
            </td>
        </tr>
        </tbody>
    </table>
    <div th:with="pageNumbers=${searchParams.get('page_numbers')}">
        <nav th:if="${pageNumbers.size() > 0}">
            <ul class="pagination">
                <li class="page-item" th:each="pageNumber : ${pageNumbers}"
                    th:classappend="${pageNumber == searchParams.get('required_page')}? 'active'">
                    <a class="page-link" href="#" th:text="${pageNumber}"
                       th:href="@{/(query=${searchParams.get('query')},sort_by=${searchParams.get('sort_by').code},page_size=${searchParams.get('page_size')},required_page=${pageNumber})}">1</a>
                </li>
            </ul>
        </nav>
    </div>
</main>

<footer th:replace="fragments/footer :: footer">
    <div class="container">
        <hr>
        <p class="text-muted"><a th:href="@{/simulate-exception}" href="#">&copy;</a>
            <span th:text="${#calendars.year(#calendars.createNow())}">2021</span>
            <span th:text="#{main.site}">Библиотека (Spring Boot)</span></p>
    </div>

    <!-- Optional JavaScript. Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4"
            crossorigin="anonymous"></script>
</footer>
</body>
</html>
